### Enumeration

# WebKit MediaCaptureState

since: 2.34

#### Declaration

    enum WebKit.MediaCaptureState

#### Description [src]

Enum values used to specify the capture state of a media device.

Available since: 2.34

#### Members

`WEBKIT_MEDIA_CAPTURE_STATE_NONE`

  Media capture is disabled.

  - Value: `0`
  - Nickname: `none`
  - Available since: 2.34
`WEBKIT_MEDIA_CAPTURE_STATE_ACTIVE`

  Media capture is active.

  - Value: `1`
  - Nickname: `active`
  - Available since: 2.34
`WEBKIT_MEDIA_CAPTURE_STATE_MUTED`

  Media capture is muted.

  - Value: `2`
  - Nickname: `muted`
  - Available since: 2.34